com.amos.server.signaling

## Class WebServer

- java.lang.Object
- - org.java_websocket.WebSocketAdapter
  - - org.java_websocket.AbstractWebSocket
    - - org.java_websocket.server.WebSocketServer
      - - com.amos.server.signaling.WebServer

- All Implemented Interfaces:
    Emitter, java.lang.Runnable, org.java_websocket.WebSocketListener

      public class WebServer
      extends org.java_websocket.server.WebSocketServer
      implements Emitter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.java_websocket.server.WebSocketServer

      `org.java_websocket.server.WebSocketServer.WebSocketWorker`

  - ### Field Summary

    - ### Fields inherited from class org.java_websocket.server.WebSocketServer

      `decoders, DECODERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebServer(IPeer peer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClose(org.java_websocket.WebSocket conn, int code, java.lang.String reason, boolean remote)`
    `void` | `onError(org.java_websocket.WebSocket conn, java.lang.Exception ex)`
    `void` | `onMessage(org.java_websocket.WebSocket conn, java.lang.String message)`
    `void` | `onOpen(org.java_websocket.WebSocket conn, org.java_websocket.handshake.ClientHandshake handshake)`
    `void` | `onStart()`
    `org.json.JSONObject` | `serializeDescription(org.webrtc.SessionDescription session)`
    `org.json.JSONObject` | `serializeIceCandidate(org.webrtc.IceCandidate candidate)`
    `void` | `shareIceCandidate(org.webrtc.IceCandidate candidate)`
    `void` | `shareSessionDescription(org.webrtc.SessionDescription session)`

    - ### Methods inherited from class org.java_websocket.server.WebSocketServer

      `addConnection, allocateBuffers, broadcast, broadcast, broadcast, broadcast, broadcast, broadcast, connections, createBuffer, getAddress, getConnections, getDraft, getLocalSocketAddress, getPort, getRemoteSocketAddress, getWebSocketFactory, onCloseInitiated, onClosing, onConnect, onFragment, onMessage, onWebsocketClose, onWebsocketCloseInitiated, onWebsocketClosing, onWebsocketError, onWebsocketHandshakeReceivedAsServer, onWebsocketMessage, onWebsocketMessage, onWebsocketMessageFragment, onWebsocketOpen, onWriteDemand, queue, releaseBuffers, removeConnection, run, setWebSocketFactory, start, stop, stop`

    - ### Methods inherited from class org.java_websocket.AbstractWebSocket

      `getConnectionLostTimeout, isReuseAddr, isTcpNoDelay, setConnectionLostTimeout, setReuseAddr, setTcpNoDelay, startConnectionLostTimer, stopConnectionLostTimer`

    - ### Methods inherited from class org.java_websocket.WebSocketAdapter

      `onWebsocketHandshakeReceivedAsClient, onWebsocketHandshakeSentAsClient, onWebsocketPing, onWebsocketPong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebServer

          public WebServer(IPeer peer)

  - ### Method Detail

    - #### onOpen

          public void onOpen(org.java_websocket.WebSocket conn,
                             org.java_websocket.handshake.ClientHandshake handshake)

      Specified by:
        `onOpen` in class `org.java_websocket.server.WebSocketServer`

    - #### onClose

          public void onClose(org.java_websocket.WebSocket conn,
                              int code,
                              java.lang.String reason,
                              boolean remote)

      Specified by:
        `onClose` in class `org.java_websocket.server.WebSocketServer`

    - #### onMessage

          public void onMessage(org.java_websocket.WebSocket conn,
                                java.lang.String message)

      Specified by:
        `onMessage` in class `org.java_websocket.server.WebSocketServer`

    - #### onError

          public void onError(org.java_websocket.WebSocket conn,
                              java.lang.Exception ex)

      Specified by:
        `onError` in class `org.java_websocket.server.WebSocketServer`

    - #### onStart

          public void onStart()

      Specified by:
        `onStart` in class `org.java_websocket.server.WebSocketServer`

    - #### serializeDescription

          public org.json.JSONObject serializeDescription(org.webrtc.SessionDescription session)

    - #### shareSessionDescription

          public void shareSessionDescription(org.webrtc.SessionDescription session)

      Specified by:
        `shareSessionDescription` in interface `Emitter`

    - #### serializeIceCandidate

          public org.json.JSONObject serializeIceCandidate(org.webrtc.IceCandidate candidate)

    - #### shareIceCandidate

          public void shareIceCandidate(org.webrtc.IceCandidate candidate)

      Specified by:
        `shareIceCandidate` in interface `Emitter`